zeroFrame = new ZeroFrame();

function submit() {
	const text = document.getElementById("text");
	send(text.value);
	text.value = "";
}

function send(value) {
	zeroFrame.cmd("peerBroadcast", {message: value, privatekey: false});
}

zeroFrame.onRequest = (cmd, message) => {
	if(cmd === "peerReceive") {
		zeroFrame.cmd("peerValid", [message.params.hash]);
		showMessage(message.params.signed_by || message.params.ip, message.params.message);
	}
};

function showMessage(ip, text) {
	const node = document.createElement("div");
	node.innerHTML = `<b>${ip}</b> <i>[${(new Date).toLocaleString()}]</i>: ${text}`;
	document.getElementById("messages").insertBefore(node, document.getElementById("messages").firstChild);
}